package sesion2;

public class Segmento {
	public Punto p1, p2;
	
	public Segmento(double x1, double y1, double x2, double y2) {
		p1 = new Punto(x1,y1);
		p2 = new Punto(x2,y2);
	}
	
	public Segmento(Punto p1, Punto p2) {
		this.p1 = p1;
		this.p2 = p2;
	}
	
	public double longitud() {
		double dx = p2.x-p1.x;
		double dy = p2.y-p1.y;
		return Math.sqrt(dx*dx+dy*dy);
	}
	
	public String toString() {
		return "Segmento: ["+p1.toString()+","+p2.toString()+"]";
	}
}
